Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class NoPropertySetStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.NoPropertySetStreamException

All Implemented Interfaces:
  java.io.Serializable

public class NoPropertySetStreamException
extends HPSFException

This exception is thrown if a format error in a property set stream is detected or when the input data do not constitute a property set stream.

The constructors of this class are analogous to those of its superclass and documented there.

Since:
  2002-02-09
Version:
  $Id: NoPropertySetStreamException.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Constructor Summary
`NoPropertySetStreamException()`
`NoPropertySetStreamException(java.lang.String msg)`
`NoPropertySetStreamException(java.lang.String msg, java.lang.Throwable reason)`
`NoPropertySetStreamException(java.lang.Throwable reason)`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPropertySetStreamException

    public NoPropertySetStreamException()

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.String msg)

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.Throwable reason)

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.String msg,
                                        java.lang.Throwable reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.